<?php
session_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Search Arn</title> 
	<style type="text/css">
		tfoot input {
			width: 100%;
			padding: 3px;
			box-sizing: border-box;
		}
	</style>
	<link  href="new/vendor/new/multi/jquery.dataTables.min.css" rel="stylesheet" type="text/css"> 
	<script src="new/vendor/new/multi/jquery-3.5.1.js" ></script>
	<script src="new/vendor/new/multi/jquery.dataTables.min.js" ></script>
	
	<script language="JavaScript" src="js/arn.js"></script>
</head>
<body>



	<table id="example" class="display" style="width:100%">
		<thead>
		    <?php 
		    	if ($_GET["mstatus"]!="gin"){	?>
			<tr> 
							 
			                  <td align="center">ARN No</td>
                              <td align="center">Supplier</td>
                              <td align="center">PO No</td>
                              <td align="center">Brand</td>
                              <td align="center">Entry  Date</td>  
                              
			</tr>
			<?}else{?>
				<tr> 
							 
			                  <td align="center">ARN No</td>
                              <td align="center">Supplier</td>  
                              <td align="center">Entry  Date</td>  
                              
			</tr>
			<?}?>
		</thead>
		<tbody>
			<?php
			$stname = "";
			if (isset($_GET['stname'])) {
				$stname = $_GET["stname"];
			}
			?>
			<input type="hidden" value="" id="cur" />

	       <?php 
							
							require_once("connectioni.php");
							
							
							
						if ($_GET["mstatus"]!="gin"){	
							
							if ($_SESSION["company"]!="") {           
                                 $sql="SELECT * FROM s_purmas where CANCEL!='1' and company='".$_SESSION["company"]."' order by REFNO desc ";
                            }else{
                                 $sql="SELECT * FROM s_purmas where CANCEL!='1'   order by REFNO desc ";
                                 
                            }  
							
							$result =mysqli_query($GLOBALS['dbinv'],$sql) ; 
							while($row = mysqli_fetch_array($result)){
					
							echo "<tr>               
                              <td  align=\"center\" onclick=\"arnno('".$row['REFNO']."');\">".$row['REFNO']."</a></td>";
							    
								 
							  		echo "<td onclick=\"arnno('".$row['REFNO']."');\">".$row["SUP_NAME"]."</a></td>";
							 	echo "<td align=\"center\" onclick=\"arnno('".$row['REFNO']."');\">".$row['ORDNO']."</a></td>";
							 	echo "<td align=\"center\" onclick=\"arnno('".$row['REFNO']."');\">".$row['brand']."</a></td>";
                              echo "<td align=\"center\" onclick=\"arnno('".$row['REFNO']."');\">".$row['SDATE']."</a></td>
                              
                            </tr>";
							}
						} else 	if ($_GET["mstatus"]=="gin"){	
						    if ($_SESSION["company"]!="") {           
                                 $sql="SELECT * FROM s_purmas where CANCEL!='1' and company='".$_SESSION["company"]."' order by REFNO desc ";
                            }else{
                                 $sql="SELECT * FROM s_purmas where CANCEL!='1'   order by REFNO desc ";
                                 
                            } 
                            
						 
							
							$result =mysqli_query($GLOBALS['dbinv'],$sql) ; 
							while($row = mysqli_fetch_array($result)){
					
							echo "<tr>               
                              <td align=\"center\" onclick=\"arnno_gin('".$row['REFNO']."');\">".$row['REFNO']."</a></td>"; 
							  		echo "<td onclick=\"arnno_gin('".$row['REFNO']."');\">".$row["SUP_NAME"]."</a></td>"; 
						 
                              echo "<td align=\"center\" onclick=\"arnno_gin('".$row['REFNO']."');\">".$row['SDATE']."</a></td>
                              
                            </tr>";
							}
						}	
							  ?>

		</tbody>
		<tfoot>
		    <?php 
		    	if ($_GET["mstatus"]!="gin"){	?>
			<tr>
	                    	 <th align="center">ARN No</th>
                              <th align="center">Supplier</th>
                              <th align="center">PO No</th>
                              <th align="center">Brand</th>
                              <th align="center">Entry  Date</th>  
			</tr>
			<?}else{?>
				<tr>
	                    	 <th align="center">ARN No</th>
                              <th align="center">Supplier</th>  
                              <th align="center">Entry  Date</th>  
				<?}?>
		</tfoot>
	</table>

</body>
</html>
<script type="text/javascript">
	$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
    	var title = $(this).text();
    	$(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );

    // DataTable
    var table = $('#example').DataTable({
    	
    	lengthChange: true,
    	fixedHeader: true,
    	responsive: true,
    	"deferRender": true,
    	"order": [[ 0, 'desc' ]],
    	lengthMenu: [[ 15, 25, 50,100, -1 ],[ '15 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
    	initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
            	var that = this;

            	$( 'input', this.footer() ).on( 'keyup change clear', function () {
            		if ( that.search() !== this.value ) {
            			that
            			.search( this.value )
            			.draw();
            		}
            	} );
            } );
        }
    });

} );
</script>


 
  